/* -------------------------------- 

Primary style

-------------------------------- */


/* rem reference
10px = 0.625rem
12px = 0.75rem
14px = 0.875rem
16px = 1rem (base)
18px = 1.125rem
20px = 1.25rem
24px = 1.5rem
30px = 1.875rem
32px = 2rem
36px= 2.571428571rem
42px= 3rem
48px= 3.428571429rem
64px= 4.57142857rem
72px= 5.142857143rem
*/


/* Tables */

.pricing-container {
    margin: 4em auto;
}

@media only screen and (min-width: 768px) {
    .pricing-container {
        margin: 0 auto;
    }
    .pricing-container.full-width {
        width: 100%;
        max-width: none;
    }
}

.pricing-switcher {
    text-align: center;
}

.pricing-switcher .fieldset {
    display: inline-block;
    position: relative;
    padding: 2px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    border-radius: 50px;
    background-color: #92278f;
    margin-bottom: 0;
}

.pricing-switcher input[type="radio"] {
    position: absolute;
    opacity: 0;
}

.pricing-switcher label {
    position: relative;
    z-index: 1;
    display: inline-block;
    float: left;
    width: 90px;
    height: 35px;
    line-height: 44px;
    cursor: pointer;
    font-size: 14px;
    font-size: 0.875rem;
    font-weight: 600;
    color: #fff;
}

.pricing-switcher .switch {
    /* floating background */
    position: absolute;
    top: 3px;
    left: 3px;
    height: 41px;
    width: 90px;
    background-color: #4b216a;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    border-radius: 50px;
    -moz-transition: -moz-transform 0.5s ease;
    -o-transition: -o-transform 0.5s ease;
    -webkit-transition: -webkit-transform 0.5s ease;
    -ms-transition: -ms-transform 0.5s ease;
    transition: transform 0.5s ease;
}

.pricing-switcher input[type="radio"]:checked+label+.switch,
.pricing-switcher input[type="radio"]:checked+label:nth-of-type(n)+.switch {
    /* use label:nth-of-type(n) to fix a bug on safari with multiple adjacent-sibling selectors*/
    -webkit-transform: translateX(88px);
    -ms-transform: translateX(88px);
    -o-transform: translateX(88px);
    transform: translateX(88px);
}

.no-js .pricing-switcher {
    display: none;
}

.pricing-list {
    margin: 2em 0 0;
}

.pricing-list>li {
    position: relative;
    margin-bottom: 1em;
}

@media only screen and (min-width: 768px) {
    .pricing-list {
        margin: 3em 0 0;
    }
    .pricing-list:after {
        content: "";
        display: table;
        clear: both;
    }
    .pricing-list>li {
        width: 33.3333333333%;
        float: left;
    }
    .cd-has-margins .pricing-list>li {
        width: 32.3333333333%;
        float: left;
        margin-right: 1.5%;
    }
    .cd-has-margins .pricing-list>li:last-of-type {
        margin-right: 0;
    }
}

.pricing-wrapper {
    /* this is the item that rotates */
    position: relative;
}

.touch .pricing-wrapper {
    /* fix a bug on IOS8 - rotating elements dissapear*/
    -webkit-perspective: 2000px;
    -moz-perspective: 2000px;
    -ms-perspective: 2000px;
    perspective: 2000px;
}

.pricing-wrapper.is-switched {
    /* totate the tables - anticlockwise rotation */
}

.pricing-wrapper.is-switched .is-visible {
    /* totate the tables - anticlockwise rotation */
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    -o-transform: rotateY(180deg);
    transform: rotateY(180deg);
    animation: table-rotate 0.5s;
    -webkit-animation: table-rotate 0.5s;
    -moz-animation-name: table-rotate 0.5s;
}

.pricing-wrapper.is-switched .is-hidden {
    /* totate the tables - anticlockwise rotation */
    -webkit-transform: rotateY(0);
    -moz-transform: rotateY(0);
    -ms-transform: rotateY(0);
    -o-transform: rotateY(0);
    transform: rotateY(0);
    animation: table-rotate-inverse 0.5s;
    -webkit-animation: table-rotate-inverse 0.5s;
    -moz-animation-name: table-rotate-inverse 0.5s;
    opacity: 0;
}

.pricing-wrapper.is-switched .is-selected {
    opacity: 1;
}

.pricing-wrapper.is-switched.reverse-animation {
    /* invert rotation direction - clockwise rotation */
}

.pricing-wrapper.is-switched.reverse-animation .is-visible {
    -webkit-transform: rotateY(-180deg);
    -moz-transform: rotateY(-180deg);
    -ms-transform: rotateY(-180deg);
    -o-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
    animation: table-rotate-back 0.5s;
    -webkit-animation: table-rotate-back 0.5s;
    -moz-animation-name: table-rotate-back 0.5s;
}

.pricing-wrapper.is-switched.reverse-animation .is-hidden {
    -webkit-transform: rotateY(0);
    -moz-transform: rotateY(0);
    -ms-transform: rotateY(0);
    -o-transform: rotateY(0);
    transform: rotateY(0);
    animation: table-rotate-inverse-back 0.5s;
    -webkit-animation: table-rotate-inverse-back 0.5s;
    -moz-animation-name: table-rotate-inverse-back 0.5s;
    opacity: 0;
}

.pricing-wrapper.is-switched.reverse-animation .is-selected {
    opacity: 1;
}

.pricing-wrapper>li {
    background-color: #fff;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    -o-backface-visibility: hidden;
    backface-visibility: hidden;
    /* Firefox bug - 3D CSS transform, jagged edges */
    outline: 1px solid transparent;
}

.pricing-wrapper>li::after {
    /* subtle gradient layer on the right - to indicate it's possible to scroll */
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 50px;
    pointer-events: none;
    background: -webkit-linear-gradient(right, #FFFFFF, rgba(255, 255, 255, 0));
    background: linear-gradient(to left, #FFFFFF, rgba(255, 255, 255, 0));
}

.pricing-wrapper>li.is-ended::after {
    /* class added in jQuery - remove the gradient layer when it's no longer possible to scroll */
    display: none;
}

.pricing-wrapper .is-visible {
    /* the front item, visible by default */
    position: relative;
    z-index: 5;
}

.pricing-wrapper .is-hidden {
    /* the hidden items, right behind the front one */
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    -o-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.pricing-wrapper .is-selected {
    /* the next item that will be visible */
    z-index: 3 !important;
}

@media only screen and (min-width: 768px) {
    .pricing-wrapper>li::before {
        /* separator between pricing tables - visible when number of tables > 3 */
        content: '';
        position: absolute;
        z-index: 6;
        left: -1px;
        top: 50%;
        bottom: auto;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
        height: 50%;
        width: 1px;
        background-color: #f9f4fc;
    }
    .pricing-wrapper>li::after {
        /* hide gradient layer */
        display: none;
    }
    .popular .pricing-wrapper>li {
        box-shadow: inset 0 0 0 3px #392779;
        border: 2px solid #392779;
    }
    .cd-has-margins .pricing-wrapper>li,
    .cd-has-margins .popular .pricing-wrapper>li {
        -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
        -moz-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
        box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
    }
     :nth-of-type(1)>.pricing-wrapper>li::before {
        /* hide table separator for the first table */
        display: none;
    }
    .cd-has-margins .pricing-wrapper>li {
        border-radius: 4px 4px 6px 6px;
    }
    .cd-has-margins .pricing-wrapper>li::before {
        display: none;
    }
}

@media only screen and (min-width: 1500px) {
    .full-width .pricing-wrapper>li {
        padding: 2.5em 0;
    }
}

.no-js .pricing-wrapper .is-hidden {
    position: relative;
    -webkit-transform: rotateY(0);
    -moz-transform: rotateY(0);
    -ms-transform: rotateY(0);
    -o-transform: rotateY(0);
    transform: rotateY(0);
    margin-top: 1em;
}

@media only screen and (min-width: 768px) {
    .popular .pricing-wrapper>li::before {
        /* hide table separator for .popular table */
        display: none;
    }
    .popular+li .pricing-wrapper>li::before {
        /* hide table separator for tables following .popular table */
        display: none;
    }
}

.pricing-header {
    position: relative;
    z-index: 1;
    height: 80px;
    padding: 1em;
    pointer-events: none;
    background-color: #662d91;
    color: #fff;
}

.pricing-header h2 {
    margin-bottom: 3px;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 18px;
    font-size: 1.125rem;
    color: #fff;
}

.popular .pricing-header {
    background-color: #392779;
}

@media only screen and (min-width: 768px) {
    .pricing-header {
        height: auto;
        padding: 1.9em 0.9em 1.6em;
        pointer-events: auto;
        text-align: center;
        color: #555;
        background-color: transparent;
    }
    .popular .pricing-header {
        color: #392779;
        background-color: transparent;
    }
    .pricing-header h2 {
        font-size: 24px;
        font-size: 1.5rem;
        letter-spacing: 2px;
        color: #555;
    }
}

.currency,
.price-value {
    font-size: 24px;
    font-size: 1.5rem;
    font-weight: 300;
}

.price-duration {
    font-weight: 400;
    font-size: 1.3rem;
    color: rgba(255, 255, 255, 0.4);
    text-transform: uppercase;
}

.popular .price-duration {
    color: rgba(255, 255, 255, 0.4);
}

.price-duration::before {
    content: '/';
    margin-right: 2px;
}

@media only screen and (min-width: 768px) {
    .price-value {
        font-size: 90px;
        font-size: 5.625rem;
        font-weight: 300;
    }
    .currency,
    .price-duration {
        font-weight: 700;
        color: rgba(85, 85, 85, 0.4);
    }
    .popular .currency,
    .popular .price-duration {
        color: #392779;
    }
    .currency {
        display: inline-block;
        margin-top: 10px;
        vertical-align: top;
        font-size: 2rem;
        font-weight: 700;
    }
    .price-duration {
        font-size: 1.4rem;
    }
}

.pricing-body {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

.is-switched .pricing-body {
    /* fix a bug on Chrome Android */
    overflow: hidden;
}

@media only screen and (min-width: 768px) {
    .pricing-body {
        overflow-x: visible;
    }
}

.pricing-features {
    width: 600px;
}

.pricing-features:after {
    content: "";
    display: table;
    clear: both;
}

.pricing-features li {
    width: 100px;
    float: left;
    padding: 1.6em 1em;
    font-size: 14px;
    font-size: 0.875rem;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.pricing-features em {
    display: block;
    margin-bottom: 5px;
    font-weight: 600;
    font-style: normal;
}

@media only screen and (min-width: 768px) {
    .pricing-features {
        width: auto;
    }
    .pricing-features li {
        float: none;
        width: auto;
        padding: 1em;
    }
    .popular .pricing-features li {
        margin: 0 3px;
    }
    .pricing-features li:nth-of-type(2n+1) {
        background-color: rgba(102, 45, 145, 0.06);
    }
    .pricing-features em {
        display: inline-block;
        margin-bottom: 0;
    }
    .cd-has-margins .popular .pricing-features li {
        margin: 0;
    }
}

.pricing-footer {
    position: absolute;
    background: none;
    z-index: 1;
    top: 0;
    left: 0;
    /* on mobile it covers the .pricing-header */
    height: 80px;
    width: 100%;
}

.pricing-footer::after {
    /* right arrow visible on mobile */
    content: '';
    position: absolute;
    right: 1em;
    top: 50%;
    bottom: auto;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    height: 20px;
    width: 20px;
    background: url(../img/small-arrow.svg);
}

@media only screen and (min-width: 768px) {
    .pricing-footer {
        position: relative;
        height: auto;
        padding: 1.8em 0;
        text-align: center;
    }
    .pricing-footer::after {
        /* hide arrow */
        display: none;
    }
    .cd-has-margins .pricing-footer {
        padding-bottom: 0;
    }
}

.select-plan {
    position: relative;
    z-index: 1;
    display: block;
    height: 100%;
    /* hide button text on mobile */
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
    color: transparent;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    border-radius: 0;
}

@media only screen and (min-width: 768px) {
    .select-plan {
        position: static;
        display: inline-block;
        height: auto;
        padding: 1.3em 3em;
        color: #fff;
        border-radius: 2px;
        background-color: #8139b8;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        border-radius: 5px;
        font-size: 14px;
        font-size: 0.875rem;
        font-weight: 500;
        text-indent: 0;
        text-transform: uppercase;
        letter-spacing: 2px;
    }
    .no-touch .select-plan:hover {
        background-color: #58277e;
        color: #fff;
    }
    .popular .select-plan {
        background-color: #392779;
    }
    .no-touch .popular .select-plan:hover {
        background-color: #302166;
        color: #fff;
    }
    .cd-has-margins .select-plan {
        display: block;
        padding: 1.7em 0;
        border-radius: 0 0 4px 4px;
    }
}


/* keyframes */

@-webkit-keyframes table-rotate {
    0% {
        -webkit-transform: perspective(2000px) rotateY(0);
        -moz-transform: perspective(2000px) rotateY(0);
        -ms-transform: perspective(2000px) rotateY(0);
        -o-transform: perspective(2000px) rotateY(0);
        transform: perspective(2000px) rotateY(0);
    }
    70% {
        /* this creates the bounce effect */
        -webkit-transform: perspective(2000px) rotateY(200deg);
        -moz-transform: perspective(2000px) rotateY(200deg);
        -ms-transform: perspective(2000px) rotateY(200deg);
        -o-transform: perspective(2000px) rotateY(200deg);
        transform: perspective(2000px) rotateY(200deg);
    }
    100% {
        -webkit-transform: perspective(2000px) rotateY(180deg);
        -moz-transform: perspective(2000px) rotateY(180deg);
        -ms-transform: perspective(2000px) rotateY(180deg);
        -o-transform: perspective(2000px) rotateY(180deg);
        transform: perspective(2000px) rotateY(180deg);
    }
}

@keyframes table-rotate-inverse {
    0% {
        -webkit-transform: perspective(2000px) rotateY(-180deg);
        -moz-transform: perspective(2000px) rotateY(-180deg);
        -ms-transform: perspective(2000px) rotateY(-180deg);
        -o-transform: perspective(2000px) rotateY(-180deg);
        transform: perspective(2000px) rotateY(-180deg);
    }
    70% {
        /* this creates the bounce effect */
        -webkit-transform: perspective(2000px) rotateY(20deg);
        -moz-transform: perspective(2000px) rotateY(20deg);
        -ms-transform: perspective(2000px) rotateY(20deg);
        -o-transform: perspective(2000px) rotateY(20deg);
        transform: perspective(2000px) rotateY(20deg);
    }
    100% {
        -webkit-transform: perspective(2000px) rotateY(0);
        -moz-transform: perspective(2000px) rotateY(0);
        -ms-transform: perspective(2000px) rotateY(0);
        -o-transform: perspective(2000px) rotateY(0);
        transform: perspective(2000px) rotateY(0);
    }
}

@keyframes table-rotate-back {
    0% {
        -webkit-transform: perspective(2000px) rotateY(0);
        -moz-transform: perspective(2000px) rotateY(0);
        -ms-transform: perspective(2000px) rotateY(0);
        -o-transform: perspective(2000px) rotateY(0);
        transform: perspective(2000px) rotateY(0);
    }
    70% {
        /* this creates the bounce effect */
        -webkit-transform: perspective(2000px) rotateY(-200deg);
        -moz-transform: perspective(2000px) rotateY(-200deg);
        -ms-transform: perspective(2000px) rotateY(-200deg);
        -o-transform: perspective(2000px) rotateY(-200deg);
        transform: perspective(2000px) rotateY(-200deg);
    }
    100% {
        -webkit-transform: perspective(2000px) rotateY(-180deg);
        -moz-transform: perspective(2000px) rotateY(-180deg);
        -ms-transform: perspective(2000px) rotateY(-180deg);
        -o-transform: perspective(2000px) rotateY(-180deg);
        transform: perspective(2000px) rotateY(-180deg);
    }
}

@-webkit-keyframes table-rotate-inverse-back {
    0% {
        -webkit-transform: perspective(2000px) rotateY(180deg);
        -moz-transform: perspective(2000px) rotateY(180deg);
        -ms-transform: perspective(2000px) rotateY(180deg);
        -o-transform: perspective(2000px) rotateY(180deg);
        transform: perspective(2000px) rotateY(180deg);
    }
    70% {
        /* this creates the bounce effect */
        -webkit-transform: perspective(2000px) rotateY(-20deg);
        -moz-transform: perspective(2000px) rotateY(-20deg);
        -ms-transform: perspective(2000px) rotateY(-20deg);
        -o-transform: perspective(2000px) rotateY(-20deg);
        transform: perspective(2000px) rotateY(-20deg);
    }
    100% {
        -webkit-transform: perspective(2000px) rotateY(0);
        -moz-transform: perspective(2000px) rotateY(0);
        -ms-transform: perspective(2000px) rotateY(0);
        -o-transform: perspective(2000px) rotateY(0);
        transform: perspective(2000px) rotateY(0);
    }
}